package com.paint.ar.drawing.adapter;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Bitmap;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

import androidx.annotation.NonNull;
import androidx.cardview.widget.CardView;
import androidx.recyclerview.widget.RecyclerView;

import com.paint.ar.drawing.R;
import com.paint.ar.drawing.helper.Utils;
import com.paint.ar.drawing.MyApp;
import com.paint.ar.drawing.activity.CameraActivity;

import java.util.List;

public class AllAdapter extends RecyclerView.Adapter<AllAdapter.HomeVH> {


    private Activity mCon;
    private List<String> data;



    public AllAdapter(Activity mCon, List<String> bitmapList) {
        this.mCon = mCon;
        data = bitmapList;
    }



    @NonNull
    @Override
    public HomeVH onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.adapter_thumb, parent, false);
        return new HomeVH(view);
    }

    @Override
    public void onBindViewHolder(@NonNull HomeVH holder, int position) {

        String name = data.get(position);
        Bitmap bitmap = Utils.loadImageFromAssets(mCon, name);
        holder.previewIm.setImageBitmap(bitmap);




        holder.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(mCon, CameraActivity.class);
                intent.putExtra(MyApp.Key_Camera, name);
                mCon.startActivity(intent);
            }
        });


    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public static class HomeVH extends RecyclerView.ViewHolder {
        private ImageView previewIm;

        private CardView cardView;


        public HomeVH(@NonNull View itemView) {
            super(itemView);
            previewIm = itemView.findViewById(R.id.imPreview);
            cardView = itemView.findViewById(R.id.card_view);
        }


    }
}
